$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.4/sfk184.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.4/sfk184.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '4a835fedd2b28f8d7750c43ec0b38eecb46e7cd08162e4a36d26967e0cce0d03'
  checksumType  = 'sha256'
  checksum64    = '4a835fedd2b28f8d7750c43ec0b38eecb46e7cd08162e4a36d26967e0cce0d03'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
